## meson-python 0.18.0

=== tests/packages/vendored-meson/meson_options.txt ===
# SPDX-FileCopyrightText: 2023 The meson-python developers
#
# SPDX-License-Identifier: MIT

option('custom-meson-used', type: 'boolean', value: false)

## meson-python 0.12.0

=== debian/changelog ===
meson-python (0.12.0-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 18 Jan 2023 08:20:50 +0100

meson-python (0.12.0-1) unstable; urgency=medium

  [ Simon McVittie ]
  * Team upload.
  * New package (Closes: #1017959)

 -- Andreas Tille <tille@debian.org>  Wed, 04 Jan 2023 10:50:04 +0100

=== debian/control ===
Source: meson-python
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Simon McVittie <smcv@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 libpython3-all-dev <!nocheck>,
 meson (>= 0.62.0),
 ninja-build,
 patchelf <!nocheck>,
 pkg-config,
 pybuild-plugin-pyproject,
 python3-all (>= 3.8),
 python3-git <!nocheck>,
 python3-pyproject-metadata,
 python3-pytest <!nocheck>,
 python3-pytest-mock <!nocheck>,
 python3-sphinx-autodoc-typehints,
 python3-tomli,
 python3-venv <!nocheck>,
 python3-wheel <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/FFY00/meson-python
Vcs-Git: https://salsa.debian.org/python-team/packages/meson-python.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/meson-python
Testsuite: autopkgtest-pkg-python

Package: python3-mesonpy
Architecture: all
Depends:
 libjs-sphinxdoc,
 meson (>= 0.62.0),
 ninja-build,
 python3 (>= 3.8),
 python3-pyproject-metadata,
 python3-tomli,
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
Recommends:
 patchelf,
Description: Meson PEP 517 Python build backend
 This package enables Python package authors to use Meson as the build
 backend for their packages.
 .
 Meson is a build system designed to increase programmer productivity.
 It does this by providing a fast, simple and easy to use interface for
 modern software development tools and practices.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = mesonpy

include /usr/share/dpkg/default.mk

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

override_dh_clean:
	dh_clean
	cp -a debian/upstream/$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.gz.asc ..

execute_before_dh_auto_configure:
	# The tarball contains files with mtime normalized to 1970-01-01,
	# which the Debian archive rejects on the assumption that they
	# indicate a misbuilt package.
	find . -not -newermt @0 -exec touch -d "@$(SOURCE_DATE_EPOCH)" {} +

execute_after_dh_auto_build:
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml docs/ build/html

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.rst

## meson-python 0.13.2

=== debian/changelog ===
meson-python (0.13.2-1build1) noble; urgency=medium

  * No-change rebuild to build with python3.12 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 01 Nov 2023 19:02:09 +0100

meson-python (0.13.2-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: Update for new upstream release
  * d/control: Update (build-)dependencies for new upstream release
  * d/rules: Don't copy an upstream signature from debian/upstream/ into
    the parent directory during build.
    There's no obvious source for an upstream signature for 0.13.2, and if
    one is available, we should teach debian/watch to download it instead.
  * d/patches: Refresh patch series
  * d/p/ignore-failing-tests-for-the-moment.patch:
    Stop marking test_scipy_like as expected to fail: it now passes
  * d/p/docs-Disable-sphinx_contributors-plugin.patch:
    Add patch to disable an unpackaged sphinx plugin
  * d/p/tests-Skip-test_consistency-during-Debian-build.patch:
    Skip a test that makes assumptions about the source/build tree layout.
    This is a consistency check for the upstream maintainers rather than
    a functional test that is necessary in Debian.
  * d/p/Exclude-ninja-from-dependencies.patch:
    Remove patch, no longer applied or needed since 0.12.0
  * d/python3-mesonpy.docs: Adjust for reformatting of README.rst

 -- Simon McVittie <smcv@debian.org>  Sun, 23 Jul 2023 16:27:01 +0100

=== debian/control ===
--- 
+++ 
@@ -5,23 +5,29 @@
 Uploaders:
  Simon McVittie <smcv@debian.org>,
 Build-Depends:
+ cython3 <!nocheck>,
  debhelper-compat (= 13),
  dh-python,
  dh-sequence-python3,
  dh-sequence-sphinxdoc,
  libpython3-all-dev <!nocheck>,
- meson (>= 0.62.0),
+ meson (>= 0.63.3),
  ninja-build,
  patchelf <!nocheck>,
  pkg-config,
  pybuild-plugin-pyproject,
- python3-all (>= 3.8),
+ python3-all (>= 3.11),
  python3-git <!nocheck>,
- python3-pyproject-metadata,
+ python3-pyproject-metadata (>= 0.7.1),
  python3-pytest <!nocheck>,
  python3-pytest-mock <!nocheck>,
+ python3-setuptools,
+ python3-sphinx-autobuild,
  python3-sphinx-autodoc-typehints,
- python3-tomli,
+ python3-sphinx-copybutton,
+ python3-sphinx-design,
+ python3-sphinxcontrib.spelling,
+ python3-sphinxext-opengraph,
  python3-venv <!nocheck>,
  python3-wheel <!nocheck>,
 Rules-Requires-Root: no
@@ -35,11 +41,11 @@
 Architecture: all
 Depends:
  libjs-sphinxdoc,
- meson (>= 0.62.0),
+ meson (>= 0.63.3),
  ninja-build,
- python3 (>= 3.8),
- python3-pyproject-metadata,
- python3-tomli,
+ python3 (>= 3.11),
+ python3-pyproject-metadata (>= 0.7.1),
+ python3-setuptools,
  ${misc:Depends},
  ${python3:Depends},
  ${sphinxdoc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -6,10 +6,6 @@
 
 %:
 	dh $@ --with sphinxdoc --buildsystem=pybuild
-
-override_dh_clean:
-	dh_clean
-	cp -a debian/upstream/$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.gz.asc ..
 
 execute_before_dh_auto_configure:
 	# The tarball contains files with mtime normalized to 1970-01-01,

## meson-python 0.15.0

=== debian/changelog ===
meson-python (0.15.0-1) unstable; urgency=medium

  * New upstream release
    - Confirmed to build successfully with python3.12 (Closes: #1055576)
  * Update build-dependencies
    - Depend on meson (>= 1.2.3) for Python 3.12 compatibility
    - Depend on python3-all-venv.
      Thanks to Graham Inggs / Ubuntu.
    - Drop setuptools, no longer needed
    - Reduce Sphinx build-dependencies.
      Several of these are no longer needed.
  * Update patch series
    - d/p/docs-Remove-external-image-references.patch:
      No longer needed since 491749c2 upstream
    - d/p/docs-Disable-sphinx_contributors-plugin.patch:
      No longer needed since 6540f7c7 upstream
    - d/p/tests-Skip-test_consistency-during-Debian-build.patch:
      No longer needed
    - d/p/ignore-failing-tests-for-the-moment.patch:
      One of the failing tests was dropped in a0f0827d upstream,
      another is no longer failing.
  * d/rules: Stop working around zeroed mtime in the source tarball.
    Newer upstream releases no longer have that.

 -- Simon McVittie <smcv@debian.org>  Tue, 05 Dec 2023 17:02:26 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  dh-sequence-python3,
  dh-sequence-sphinxdoc,
  libpython3-all-dev <!nocheck>,
- meson (>= 0.63.3),
+ meson (>= 1.2.3),
  ninja-build,
  patchelf <!nocheck>,
  pkg-config,
@@ -21,14 +21,10 @@
  python3-pyproject-metadata (>= 0.7.1),
  python3-pytest <!nocheck>,
  python3-pytest-mock <!nocheck>,
- python3-setuptools,
- python3-sphinx-autobuild,
- python3-sphinx-autodoc-typehints,
  python3-sphinx-copybutton,
  python3-sphinx-design,
- python3-sphinxcontrib.spelling,
  python3-sphinxext-opengraph,
- python3-venv <!nocheck>,
+ python3-all-venv <!nocheck>,
  python3-wheel <!nocheck>,
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
@@ -41,11 +37,10 @@
 Architecture: all
 Depends:
  libjs-sphinxdoc,
- meson (>= 0.63.3),
+ meson (>= 1.2.3),
  ninja-build,
  python3 (>= 3.11),
  python3-pyproject-metadata (>= 0.7.1),
- python3-setuptools,
  ${misc:Depends},
  ${python3:Depends},
  ${sphinxdoc:Depends},

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpmode=auto \
https://pypi.debian.net/meson-python/meson_python-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## meson-python 0.16.0

=== debian/changelog ===
meson-python (0.16.0-1) unstable; urgency=medium

  * New upstream release
  * d/control: Update Homepage (Closes: #1060361)
  * d/upstream/metadata: Update upstream URLs here, too
  * d/copyright: Update
  * d/control: Add new dependency on python3-packaging
  * Add patch from upstream to fix test failures with updated
    pyproject-metadata (Closes: #1071329)
  * Use the furo theme for documentation, now that it's in Debian
  * Copy docs/ to test directory as required by one test.
    This means we no longer need to skip the test that requires
    docs/examples/.
    - d/p/ignore-failing-tests-for-the-moment.patch: Drop, no longer needed

 -- Simon McVittie <smcv@debian.org>  Sat, 20 Jul 2024 20:33:31 +0100

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
  dh-python,
  dh-sequence-python3,
  dh-sequence-sphinxdoc,
+ furo (>= 2023.5.20),
  libpython3-all-dev <!nocheck>,
  meson (>= 1.2.3),
  ninja-build,
@@ -18,6 +19,7 @@
  pybuild-plugin-pyproject,
  python3-all (>= 3.11),
  python3-git <!nocheck>,
+ python3-packaging (>= 19.0),
  python3-pyproject-metadata (>= 0.7.1),
  python3-pytest <!nocheck>,
  python3-pytest-mock <!nocheck>,
@@ -28,7 +30,7 @@
  python3-wheel <!nocheck>,
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
-Homepage: https://github.com/FFY00/meson-python
+Homepage: https://github.com/mesonbuild/meson-python
 Vcs-Git: https://salsa.debian.org/python-team/packages/meson-python.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/meson-python
 Testsuite: autopkgtest-pkg-python
@@ -40,6 +42,7 @@
  meson (>= 1.2.3),
  ninja-build,
  python3 (>= 3.11),
+ python3-packaging (>= 19.0),
  python3-pyproject-metadata (>= 0.7.1),
  ${misc:Depends},
  ${python3:Depends},

## meson-python 0.17.1

=== debian/changelog ===
meson-python (0.17.1-1~nd130+1) trixie; urgency=medium

  * Backported for trixie.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Thu, 14 Nov 2024 09:27:21 -0500

meson-python (0.17.1-1) unstable; urgency=medium

  * New upstream release
  * Drop both patches, applied upstream

 -- Simon McVittie <smcv@debian.org>  Tue, 29 Oct 2024 11:40:47 +0000

meson-python (0.16.0-2) unstable; urgency=medium

  * Add patch to make the documentation build reproducible.
    Thanks to Chris Lamb (Closes: #1076806)
  * Standards-Version: 4.7.0 (no changes required)
  * Remove version constraint on python3-packaging, unnecessary since
    Debian 11
  * Build-depend on pkgconf instead of pkg-config
  * d/source/lintian-overrides: Ignore lack of B-D on python3-mesonpy.
    Normally this would be required for packages that use pyproject.toml
    and mesonpy, but this package *is* mesonpy, so it doesn't need a
    circular build-dependency on itself.
  * d/upstream/signing-key.asc: Remove.
    Upstream releases no longer provide signatures.

 -- Simon McVittie <smcv@debian.org>  Fri, 04 Oct 2024 11:38:44 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: meson-python
 Section: python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Simon McVittie <smcv@debian.org>,
 Build-Depends:
@@ -15,11 +16,11 @@
  meson (>= 1.2.3),
  ninja-build,
  patchelf <!nocheck>,
- pkg-config,
+ pkgconf,
  pybuild-plugin-pyproject,
  python3-all (>= 3.11),
  python3-git <!nocheck>,
- python3-packaging (>= 19.0),
+ python3-packaging,
  python3-pyproject-metadata (>= 0.7.1),
  python3-pytest <!nocheck>,
  python3-pytest-mock <!nocheck>,
@@ -29,7 +30,7 @@
  python3-all-venv <!nocheck>,
  python3-wheel <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/mesonbuild/meson-python
 Vcs-Git: https://salsa.debian.org/python-team/packages/meson-python.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/meson-python
@@ -37,12 +38,12 @@
 
 Package: python3-mesonpy
 Architecture: all
-Depends:
+Depends: neurodebian-popularity-contest, 
  libjs-sphinxdoc,
  meson (>= 1.2.3),
  ninja-build,
  python3 (>= 3.11),
- python3-packaging (>= 19.0),
+ python3-packaging,
  python3-pyproject-metadata (>= 0.7.1),
  ${misc:Depends},
  ${python3:Depends},

## meson-python 0.18.0

=== debian/changelog ===
meson-python (0.18.0-2) unstable; urgency=medium

  * Reformat packaging files with deputy
  * Remove Rules-Requires-Root, unnecessary since Debian 13
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Wed, 01 Oct 2025 10:47:22 +0100

meson-python (0.18.0-1) experimental; urgency=medium

  * New upstream release
  * d/salsa-ci.yml: Use recommended recipe
  * d/control: Update build-dependency versions
  * Standards-Version: 4.7.2 (no changes required)
  * d/source/lintian-overrides: Ignore a use of distutils in the test
    suite.
    It's a workaround for a limitation of older Python versions, and
    is guarded by a Python version check, so the relevant code doesn't
    run in the more modern Pythons where distutils has been deprecated.
  * Upload to experimental due to Debian 13 freeze

 -- Simon McVittie <smcv@debian.org>  Sat, 24 May 2025 13:33:31 +0100

=== debian/control ===
Source: meson-python
X-Style: black
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Simon McVittie <smcv@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 cython3 <!nocheck>,
 furo (>= 2024.08.06),
 libpython3-all-dev <!nocheck>,
 meson (>= 1.2.3),
 ninja-build,
 patchelf <!nocheck>,
 pkgconf,
 pybuild-plugin-pyproject,
 python3-all (>= 3.11),
 python3-all-venv <!nocheck>,
 python3-git <!nocheck>,
 python3-packaging (>= 23.2),
 python3-pyproject-metadata (>= 0.9.0),
 python3-pytest <!nocheck>,
 python3-pytest-mock <!nocheck>,
 python3-sphinx (>= 8.1.0),
 python3-sphinx-copybutton,
 python3-sphinx-design,
 python3-sphinxext-opengraph,
 python3-wheel <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://github.com/mesonbuild/meson-python
Vcs-Git: https://salsa.debian.org/python-team/packages/meson-python.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/meson-python
Testsuite: autopkgtest-pkg-python

Package: python3-mesonpy
Architecture: all
Depends:
 libjs-sphinxdoc,
 meson (>= 1.2.3),
 ninja-build,
 python3 (>= 3.11),
 python3-packaging (>= 23.2),
 python3-pyproject-metadata (>= 0.9.0),
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
Recommends:
 patchelf,
Description: Meson PEP 517 Python build backend
 This package enables Python package authors to use Meson as the build
 backend for their packages.
 .
 Meson is a build system designed to increase programmer productivity.
 It does this by providing a fast, simple and easy to use interface for
 modern software development tools and practices.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = mesonpy

include /usr/share/dpkg/default.mk

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build:
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml docs/ build/html

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.rst

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/meson-python/meson_python-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## meson-python 0.19.0

=== tests/packages/cmake-subproject/subprojects/cmaketest/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 The meson-python developers
#
# SPDX-License-Identifier: MIT

cmake_minimum_required(VERSION 3.5)

project(cmaketest)
set(CMAKE_CXX_STANDARD 14)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_library(cmaketest SHARED cmaketest.cpp)

include(GenerateExportHeader)
generate_export_header(cmaketest)

install(TARGETS cmaketest)

=== debian/changelog ===
meson-python (0.19.0-1) unstable; urgency=medium

  * New upstream release
  * d/control: Install cmake for the test suite
  * Standards-Version: 4.7.3
    - Remove explicit Priority: optional, no longer needed since Debian 13
  * d/watch: Convert to uscan format v5, match "pre" versions as ~pre

 -- Simon McVittie <smcv@debian.org>  Thu, 22 Jan 2026 10:41:43 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: meson-python
 X-Style: black
 Section: python
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Simon McVittie <smcv@debian.org>,
@@ -10,6 +9,7 @@
  dh-python,
  dh-sequence-python3,
  dh-sequence-sphinxdoc,
+ cmake <!nocheck>,
  cython3 <!nocheck>,
  furo (>= 2024.08.06),
  libpython3-all-dev <!nocheck>,
@@ -30,7 +30,7 @@
  python3-sphinx-design,
  python3-sphinxext-opengraph,
  python3-wheel <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/mesonbuild/meson-python
 Vcs-Git: https://salsa.debian.org/python-team/packages/meson-python.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/meson-python

=== debian/watch ===
Version: 5

Template: Pypi
Dist: meson_python
Uversionmangle: s/(pre|rc|a|b|c)/~$1/
